WMTConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Interface WMTConstants

All Known Subinterfaces:
  ImageServerConstants

All Known Implementing Classes:
  DynamicWmsRequestHandler, EarthImagePlugIn, ImageServerUtils, MapRequestHandler, SHISPlugIn, WebImagePlugIn, WMSPlugIn, WmsRequestHandler

    public interface WMTConstants

This file contains all the String constants that are defined in the OpenGIS WMT specification. We are trying to get to a point where we use all of them.

Field Summary
`static java.lang.String` | `BBOX` Bounding Box (BBOX) consisting of xmin, ymin, xmax, ymax list, in SRS units.
`static java.lang.String` | `BGCOLOR` (BGCOLOR) The hexidecimal RGB value to use for the background color, if transparency is not desired or not supported by the format type.
`static java.lang.String` | `CAPABILITIES` Keyword (capabilities) for a map server capabilities request.
`static java.lang.String` | `CRS` Coordinate Reference System identifier (CRS).
`static java.lang.String` | `EXCEPTIONS` (EXCEPTIONS) The format where exceptions are to be reported from the map server.
`static java.lang.String` | `FORMAT` Output format for image (FORMAT).
`static java.lang.String` | `GETCAPABILITIES` After WMS version 1.0, use this parameter to identify the capabilities request
`static java.lang.String` | `GETFEATUREINFO` After WMS version 1.0, use this parameter to identify the feature info request
`static java.lang.String` | `GETLEGENDGRAPHIC` Use this request parameter to to get a image with legend
`static java.lang.String` | `GETMAP` After WMS version 1.0, use this parameter to identify the feature info request
`static java.lang.String` | `HEIGHT` Pixel height of requested image (HEIGHT).
`static java.lang.String` | `IMAGEFORMAT_GEOTIFF`
`static java.lang.String` | `IMAGEFORMAT_GIF`
`static java.lang.String` | `IMAGEFORMAT_JPEG`
`static java.lang.String` | `IMAGEFORMAT_PNG`
`static java.lang.String` | `IMAGEFORMAT_PPM`
`static java.lang.String` | `IMAGEFORMAT_SVG`
`static java.lang.String` | `IMAGEFORMAT_TIFF`
`static java.lang.String` | `IMAGEFORMAT_WBMP`
`static java.lang.String` | `INFO_FORMAT` Output format for GetFeatureInfo request (INFO_FORMAT).
`static java.lang.String` | `LAYER` Layer name (LAYER)Required for WMS GetLegendGraphic request.
`static java.lang.String` | `LAYERS` Layer list (LAYERS), comma separated layer names.
`static java.lang.String` | `MAP` Keyword (map) for a Map request.
`static java.lang.String` | `QUERY_LAYERS` Query Layer list (QUERY_LAYERS), comma separated layer names.
`static java.lang.String` | `REQUEST` Request (REQUEST) type.
`static java.lang.String` | `SERVICE` After WMS version 1.0, use this parameter to identify the service
`static java.lang.String` | `SRS` Spatial Reference System identifier (SRS).
`static java.lang.String` | `STYLE` Style name (STYLE) parameter name.
`static java.lang.String` | `STYLES` (STYLES) Comma separated list for one rendering style per requested layer.
`static java.lang.String` | `TRANSPARENT` (TRANSPARENT) true if the background color should be rendered as transparent, if the image format supports transparency, or false otherwise.
`static java.lang.String` | `VERSION` After WMS version 1.0, use this parameter to identify the version
`static java.lang.String` | `WIDTH` Pixel width of requested image (WIDTH).
`static java.lang.String` | `WMTVER` WMT Version (WMTVER), floating point industry.

Field Detail

### VERSION

    static final java.lang.String VERSION

  After WMS version 1.0, use this parameter to identify the version

  See Also:
    Constant Field Values

### SERVICE

    static final java.lang.String SERVICE

  After WMS version 1.0, use this parameter to identify the service

  See Also:
    Constant Field Values

### GETMAP

    static final java.lang.String GETMAP

  After WMS version 1.0, use this parameter to identify the feature info request

  See Also:
    Constant Field Values

### GETCAPABILITIES

    static final java.lang.String GETCAPABILITIES

  After WMS version 1.0, use this parameter to identify the capabilities request

  See Also:
    Constant Field Values

### GETFEATUREINFO

    static final java.lang.String GETFEATUREINFO

  After WMS version 1.0, use this parameter to identify the feature info request

  See Also:
    Constant Field Values

### GETLEGENDGRAPHIC

    static final java.lang.String GETLEGENDGRAPHIC

  Use this request parameter to to get a image with legend

  See Also:
    Constant Field Values

### WMTVER

    static final java.lang.String WMTVER

  WMT Version (WMTVER), floating point industry. Required for WMT requests.

  See Also:
    Constant Field Values

### REQUEST

    static final java.lang.String REQUEST

  Request (REQUEST) type. Required for WMT requests.

  See Also:
    Constant Field Values

### LAYERS

    static final java.lang.String LAYERS

  Layer list (LAYERS), comma separated layer names. Required for WMS GetMap and GetFeatureInfo request.

  See Also:
    Constant Field Values

### LAYER

    static final java.lang.String LAYER

  Layer name (LAYER)Required for WMS GetLegendGraphic request.

  See Also:
    Constant Field Values

### QUERY_LAYERS

    static final java.lang.String QUERY_LAYERS

  Query Layer list (QUERY_LAYERS), comma separated layer names. Required for WMS GetFeatureInfo requests.

  See Also:
    Constant Field Values

### STYLES

    static final java.lang.String STYLES

  (STYLES) Comma separated list for one rendering style per requested layer. Required for WMT requests.

  See Also:
    Constant Field Values

### STYLE

    static final java.lang.String STYLE

  Style name (STYLE) parameter name. Used by WMS GetLegendGraphic

  See Also:
    Constant Field Values

### SRS

    static final java.lang.String SRS

  Spatial Reference System identifier (SRS). Required for WMT requests.

  See Also:
    Constant Field Values

### CRS

    static final java.lang.String CRS

  Coordinate Reference System identifier (CRS). Required for WMS GetMap requests.

  See Also:
    Constant Field Values

### BBOX

    static final java.lang.String BBOX

  Bounding Box (BBOX) consisting of xmin, ymin, xmax, ymax list, in SRS units. Required for WMT requests.

  See Also:
    Constant Field Values

### HEIGHT

    static final java.lang.String HEIGHT

  Pixel height of requested image (HEIGHT). Required for WMT requests.

  See Also:
    Constant Field Values

### WIDTH

    static final java.lang.String WIDTH

  Pixel width of requested image (WIDTH). Required for WMT requests.

  See Also:
    Constant Field Values

### FORMAT

    static final java.lang.String FORMAT

  Output format for image (FORMAT). Required for WMT requests.

  See Also:
    Constant Field Values

### INFO_FORMAT

    static final java.lang.String INFO_FORMAT

  Output format for GetFeatureInfo request (INFO_FORMAT). Required for WMS GetFeatureInfo requests.

  See Also:
    Constant Field Values

### TRANSPARENT

    static final java.lang.String TRANSPARENT

  (TRANSPARENT) true if the background color should be rendered as transparent, if the image format supports transparency, or false otherwise. Optional for WMT requests.

  See Also:
    Constant Field Values

### BGCOLOR

    static final java.lang.String BGCOLOR

  (BGCOLOR) The hexidecimal RGB value to use for the background color, if transparency is not desired or not supported by the format type. Default is BGCOLOR=0xFFFFFF. Optional for WMT requests.

  See Also:
    Constant Field Values

### EXCEPTIONS

    static final java.lang.String EXCEPTIONS

  (EXCEPTIONS) The format where exceptions are to be reported from the map server. Default is EXCEPTIONS=INIMAGE. Optional for WMT requests.

  See Also:
    Constant Field Values

### MAP

    static final java.lang.String MAP

  Keyword (map) for a Map request.

  See Also:
    Constant Field Values

### CAPABILITIES

    static final java.lang.String CAPABILITIES

  Keyword (capabilities) for a map server capabilities request.

  See Also:
    Constant Field Values

### IMAGEFORMAT_JPEG

    static final java.lang.String IMAGEFORMAT_JPEG

See Also:
  Constant Field Values

### IMAGEFORMAT_GIF

    static final java.lang.String IMAGEFORMAT_GIF

See Also:
  Constant Field Values

### IMAGEFORMAT_PNG

    static final java.lang.String IMAGEFORMAT_PNG

See Also:
  Constant Field Values

### IMAGEFORMAT_TIFF

    static final java.lang.String IMAGEFORMAT_TIFF

See Also:
  Constant Field Values

### IMAGEFORMAT_GEOTIFF

    static final java.lang.String IMAGEFORMAT_GEOTIFF

See Also:
  Constant Field Values

### IMAGEFORMAT_PPM

    static final java.lang.String IMAGEFORMAT_PPM

See Also:
  Constant Field Values

### IMAGEFORMAT_WBMP

    static final java.lang.String IMAGEFORMAT_WBMP

See Also:
  Constant Field Values

### IMAGEFORMAT_SVG

    static final java.lang.String IMAGEFORMAT_SVG

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details